// $Id: setgamma.h,v 1.10 2008/02/19 21:02:27 hvengel Exp $
//  Lttle cms Profiler
//  Copyright (C) 1998-2001 Marti Maria
// Copyright (C) 2005 - 2008 Hal V. Engel
//
// THIS SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
// IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
// INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
// OF THIS SOFTWARE.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// Version 1.99

#ifndef SETGAMMA_H
#define SETGAMMA_H

#include <qimage.h>
#include <QPixmap>
#include "ui_setgammabase.h"

class SetGamma : public QDialog, private Ui::SetGammaBase
{
  Q_OBJECT

public:

  SetGamma(QWidget *parent = 0 );
  virtual ~SetGamma();

private slots:
    void slotChangeGamma();
    void slotGammaSlider();
    void slotGammaRadio();
    void slotOK();
    void slotHelpButton();

private:
    void SlidersToValues();
    void ValuesToLabels();
    void RenderGamma();
    void ProofGamma();
    void Set_dwMask_Gamma ();
    void Gamma_loop (QImage in, QImage &out);

    QImage smallChart;
    QImage smallChartCorrected;

    QImage bigChart;
    QImage bigChartCorrected;
};

#endif
